Bug 547794 - SELinux is preventing /usr/bin/memcached "bind" access.
Summary: SELinux is preventing /usr/bin/memcached "bind" access.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:9878dad81ec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-15 17:55 UTC by marinalan
Modified: 2009-12-22 20:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-22 20:42:42 UTC
Type: ---


Attachments (Terms of Use)

Description marinalan 2009-12-15 17:55:37 UTC
Summary:

SELinux is preventing /usr/bin/memcached "bind" access.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by memcached. It is not expected that this
access is required by memcached and this access may signal an intrusion attempt.
It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:memcached_t:s0
Target Context                unconfined_u:system_r:memcached_t:s0
Target Objects                None [ netlink_route_socket ]
Source                        memcached
Source Path                   /usr/bin/memcached
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           memcached-1.4.4-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-55.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.6-166.fc12.i686.PAE #1 SMP Wed Dec 9
                              11:00:30 EST 2009 i686 i686
Alert Count                   8
First Seen                    Mon 07 Dec 2009 09:01:17 AM PST
Last Seen                     Tue 15 Dec 2009 01:38:20 AM PST
Local ID                      0222384c-2781-4fc1-9e9e-733fc15f4ad4
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1260869900.917:42): avc:  denied  { bind } for  pid=2128 comm="memcached" scontext=unconfined_u:system_r:memcached_t:s0 tcontext=unconfined_u:system_r:memcached_t:s0 tclass=netlink_route_socket

node=(removed) type=SYSCALL msg=audit(1260869900.917:42): arch=40000003 syscall=102 success=yes exit=0 a0=2 a1=bff89320 a2=721ff4 a3=1a items=0 ppid=1 pid=2128 auid=500 uid=491 gid=471 euid=491 suid=491 fsuid=491 egid=471 sgid=471 fsgid=471 tty=(none) ses=1 comm="memcached" exe="/usr/bin/memcached" subj=unconfined_u:system_r:memcached_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-55.fc12,catchall,memcached,memcached_t,memcached_t,netlink_route_socket,bind
audit2allow suggests:

#============= memcached_t ==============
allow memcached_t self:netlink_route_socket bind;

Comment 1 Daniel Walsh 2009-12-15 20:59:15 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-59.fc12.noarch

Comment 2 Fedora Update System 2009-12-16 13:56:47 UTC
selinux-policy-3.6.32-59.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-59.fc12

Comment 3 Fedora Update System 2009-12-18 04:44:47 UTC
selinux-policy-3.6.32-59.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13384


Note You need to log in before you can comment on or make changes to this bug.